package com.ims.eval.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.ResponsibilityIndicatorInfo;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IResponsibilityIndicatorInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 责任书指标明细

 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-08
 */
@RestController
@RequestMapping("//responsibility-indicator-info")
public class ResponsibilityIndicatorInfoController {



	@Autowired
	private IResponsibilityIndicatorInfoService responsibilityIndicatorInfoService;

	/**
	 *
	 * @param deptResponsibilityId 目标责任书id
	 * @return
	 */
	//@ImsPreAuth("eval:responsibilityIndicatorInfo:view")
	@GetMapping(value = "listBy")
	public R listByresponsibilityId(
				  @RequestParam(value = "deptResponsibilityId", required = false) String deptResponsibilityId,
				  @RequestParam(value = "dept", required = false) String dept) {
		List<ResponsibilityIndicatorInfo> list = responsibilityIndicatorInfoService.listByresponsibilityId(deptResponsibilityId, dept);
		return R.ok().data(list);
	}

}
