/**
 *
 */
package com.ims.eval.entity;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import com.ims.core.entity.DataEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 考评规则Entity
 * @author wang
 * @version 2023-02-25
 */
public class EvaluateRule extends DataEntity<EvaluateRule> {

	private static final long serialVersionUID = 1L;
	private String des;		// 描述
	private String indicatorId;		// 指标ID
	private BigDecimal totalScore;		// 指标总分
	private String evaluateMethod;		// 评分方式
	private String evaluateFormula;		// 评分公式
	private String mappingFunction;		// 隐射函数
	private Date createTime;		// 创建时间
	private Date updateTime;		// 更新时间


	public EvaluateRule() {
		super();
	}

	public EvaluateRule(String id){
		super(id);
	}

	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	public String getIndicatorId() {
		return indicatorId;
	}

	public void setIndicatorId(String indicatorId) {
		this.indicatorId = indicatorId;
	}
	public BigDecimal getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(BigDecimal totalScore) {
		this.totalScore = totalScore;
	}
	public String getEvaluateMethod() {
		return evaluateMethod;
	}

	public void setEvaluateMethod(String evaluateMethod) {
		this.evaluateMethod = evaluateMethod;
	}
	public String getEvaluateFormula() {
		return evaluateFormula;
	}

	public void setEvaluateFormula(String evaluateFormula) {
		this.evaluateFormula = evaluateFormula;
	}
	public String getMappingFunction() {
		return mappingFunction;
	}

	public void setMappingFunction(String mappingFunction) {
		this.mappingFunction = mappingFunction;
	}
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}