package com.ims.eval.entity.dto.request;

import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.IndicatorDictionary;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value="指标配置请求类", description="指标配置请求类")
public class IndicatorDTO extends Indicator {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "考评部门", required=true)
	private List<IndicatorDictionary> indicatorDictionaries;
}
