package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.DeptResponsibility;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 部门目标责任表 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
public interface IDeptResponsibilityService extends IService<DeptResponsibility> {

	IPage<DeptResponsibility> list(Integer pageNum, Integer pageSize, String id, String cycleUnit, String checkCycle, String beginDate, String endDate, String stage, String createBy, String year, String month);

	List<DeptResponsibility> list( String organizationId, String checkCycle,  String year, String month);


	boolean generateResponsibility(String orgEvalRuleId);
}
