package com.ims.eval.service.impl;

import com.ims.eval.entity.ResponsibilityIndicatorInfo;
import com.ims.eval.dao.ResponsibilityIndicatorInfoMapper;
import com.ims.eval.service.IResponsibilityIndicatorInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 责任书指标明细

 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-08
 */
@Service
public class ResponsibilityIndicatorInfoServiceImpl extends ServiceImpl<ResponsibilityIndicatorInfoMapper, ResponsibilityIndicatorInfo> implements IResponsibilityIndicatorInfoService {



	@Override
	public List<ResponsibilityIndicatorInfo> listByresponsibilityId(String deptResponsibilityId, String dept) {
		List<ResponsibilityIndicatorInfo> list = baseMapper.listByresponsibilityId(deptResponsibilityId,dept);
		return list;
	}
}
